Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.swing
Class OKCancelPanel

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--ccl.swing.OKCancelPanel

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class OKCancelPanel
extends javax.swing.JPanel
implements java.awt.event.ActionListener

A panel with OK and Cancel button for use in dialogs. You can overwrite the button texts. You can also specify the alignement, either horizontal (default) or vertical. Buttons have mnemonics working. Also a FocusManager gets installed that takes care of the focus cycle and default button (OK). For now, use it only in modal dialogs. Internationalisation is planned. Warning!!!: because this panel installs it's on local focus manager, be sure to close a dialog only interactively. Don't setVisible( false ) in you dialog code yourself, or the old focus manager won't be reinstalled. If this is needed, an method for that purpose has to be added.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`OKCancelPanel(java.awt.Window winParent_)`
`OKCancelPanel(java.awt.Window winParent_, boolean bVertical_)`
`OKCancelPanel(java.awt.Window winParent_, int gap_)`
`OKCancelPanel(java.awt.Window winParent_, int gap_, boolean bVertical_)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent pActionEvent_)`
`void` | `continueOperation()` You don't wan't to close your dialog.
`javax.swing.JButton` | `getCancelButton()`
`javax.swing.JButton` | `getOKButton()`
`java.awt.event.WindowAdapter` | `getWindowAdapter()`
`boolean` | `isOK()`
`void` | `setCancelText(java.lang.String sCancelText_)` If you use these, just make sure, OK and Cancel don't start with the same character (for mnemonics handling).
`void` | `setFalse()` Deprecated. Use continueOperation() instead.
`void` | `setInitialFocusOnOKButton()`
`void` | `setMinimumButtonSize(java.awt.Dimension dimButton_)`
`void` | `setOKText(java.lang.String sOKText_)` If you use these, just make sure, OK and Cancel don't start with the same character (for mnemonics handling).
`void` | `setPreferredButtonSize(java.awt.Dimension dimButton_)`
`void` | `switchFocusManager()` If you pop up another dialog inside the ok cancel dialog, you might want to switch back temporarily to the default focus manager.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OKCancelPanel

    public OKCancelPanel(java.awt.Window winParent_)

### OKCancelPanel

    public OKCancelPanel(java.awt.Window winParent_,
                         int gap_)

### OKCancelPanel

    public OKCancelPanel(java.awt.Window winParent_,
                         boolean bVertical_)

### OKCancelPanel

    public OKCancelPanel(java.awt.Window winParent_,
                         int gap_,
                         boolean bVertical_)

Method Detail

### getWindowAdapter

    public java.awt.event.WindowAdapter getWindowAdapter()

### isOK

    public boolean isOK()

### setFalse

    public void setFalse()

  Deprecated. Use continueOperation() instead.

### switchFocusManager

    public void switchFocusManager()

  If you pop up another dialog inside the ok cancel dialog, you might want to switch back temporarily to the default focus manager. You can do this with this method. So be sure, you use this method always an even number of times.

### continueOperation

    public void continueOperation()

  You don't wan't to close your dialog. setDefaultCloseOperation( DO_NOTHING_ON_CLOSE ) on your dialog and invoke this method (and of course, prevent setVisible( false ) from being taken place.

### setPreferredButtonSize

    public void setPreferredButtonSize(java.awt.Dimension dimButton_)

### setMinimumButtonSize

    public void setMinimumButtonSize(java.awt.Dimension dimButton_)

### setInitialFocusOnOKButton

    public void setInitialFocusOnOKButton()

### getOKButton

    public javax.swing.JButton getOKButton()

### getCancelButton

    public javax.swing.JButton getCancelButton()

### setOKText

    public void setOKText(java.lang.String sOKText_)

  If you use these, just make sure, OK and Cancel don't start with the same character (for mnemonics handling).

### setCancelText

    public void setCancelText(java.lang.String sCancelText_)

  If you use these, just make sure, OK and Cancel don't start with the same character (for mnemonics handling).

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent pActionEvent_)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD